Page MenuHomePhabricator

Convert tmh100[12] to HHVM and trusty
Closed, ResolvedPublic

Description

They are eqiad videoscaler hosts in WMF production
(codfw videoscalers mw2007 and mw2152 already run trusty+HHVM.)

Related Objects

Event Timeline

Krenair created this task.Jul 4 2015, 12:42 AM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 4 2015, 12:42 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald Transcript
Krenair updated the task description. (Show Details)Jul 7 2015, 2:45 PM
Krenair set Security to None.
fgiunchedi triaged this task as High priority.Jul 20 2015, 3:20 PM
fgiunchedi added a subscriber: fgiunchedi.

looks like we need this to finish migrating to hhvm

brion added a subscriber: brion.Aug 9 2015, 4:18 PM
Krenair updated the task description. (Show Details)Aug 15 2015, 10:17 AM
Joe claimed this task.Aug 18 2015, 8:00 AM

Change 232242 had a related patch set uploaded (by Giuseppe Lavagetto):
videoscaler: reimage mw1152 as an experimental videoscaler

https://gerrit.wikimedia.org/r/232242

Change 232242 merged by Giuseppe Lavagetto:
videoscaler: reimage mw1152 as an experimental videoscaler

https://gerrit.wikimedia.org/r/232242

Joe added a comment.Aug 18 2015, 10:18 AM

mw1152 is successfully reimaged as a videoscaler, and the jobrunner is stopped by default. @brion any suggestions on how to test it specifically?

Per IRC discussion: this is probably ready to throw into production, but we ought to test it on beta cluster first like reasonable people. :)

Rough test plan:

  • deployyyyyy (to beta or live)
  • upload some files
  • make sure they render without exploding
hashar added a subscriber: hashar.Aug 24 2015, 4:22 PM
brion added a comment.Aug 24 2015, 4:29 PM

Ok, sample files to re-run and test:

VP9 source video (currently it won't transcode, but it should work if re-run after reimage):

ogg with lots of motion (should currently work, but should be clearer when re-run after update):

It also looks like there isn't actually anything running transcode jobs on beta yet, at least for en.wikipedia.beta.wmflabs.org ... http://en.wikipedia.beta.wmflabs.org/wiki/Special:TimedMediaHandler <- shows the files queued but no currently running

Adding beta-cluster project for fixing/updating TMH video scaler job runner for beta cluster...

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptAug 24 2015, 4:30 PM
greg added a subscriber: greg.Aug 28 2015, 5:54 PM

Adding beta-cluster project for fixing/updating TMH video scaler job runner for beta cluster...

Mae a separate task for that: T110707: Upgrade Beta Cluster tmh* host(s) to HHVM and Trusty

Change 234699 had a related patch set uploaded (by Brion VIBBER):
Use backported ffmpeg for multimedia transcoding on Trusty

https://gerrit.wikimedia.org/r/234699

As noted on T110707 this config looks very close to ready -- it's almost-functional on beta cluster! But we're having trouble controlling the number of threads on the job runner, which implies something's wonky in the config.

Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Sep 3 2015, 4:02 PM

Change 238781 had a related patch set uploaded (by Brion VIBBER):
Use ffmpeg for video thumbs & transcoding

https://gerrit.wikimedia.org/r/238781

Change 234699 merged by Giuseppe Lavagetto:
Use backported ffmpeg for multimedia transcoding on Trusty

https://gerrit.wikimedia.org/r/234699

Change 238781 merged by Brion VIBBER:
Use ffmpeg for video thumbs & transcoding

https://gerrit.wikimedia.org/r/238781

Change 238794 had a related patch set uploaded (by Giuseppe Lavagetto):
videoscaler: make the HHVM videoscaler the only one running

https://gerrit.wikimedia.org/r/238794

Change 238794 merged by Giuseppe Lavagetto:
videoscaler: make the HHVM videoscaler the only one running

https://gerrit.wikimedia.org/r/238794

Joe added a comment.Sep 16 2015, 5:36 PM

As of now, all tmh jobs are being handled by the newer trusty-based host.

To change this it's sufficient to revert https://gerrit.wikimedia.org/r/238794

Change 239078 had a related patch set uploaded (by Giuseppe Lavagetto):
videoscaler: reimage tmh1001 as mw1259

https://gerrit.wikimedia.org/r/239078

Change 239103 had a related patch set uploaded (by Giuseppe Lavagetto):
Rename tmh1001 to mw1259 for reimaging

https://gerrit.wikimedia.org/r/239103

Change 239103 merged by Giuseppe Lavagetto:
Rename tmh1001 to mw1259 for reimaging

https://gerrit.wikimedia.org/r/239103

Change 239078 merged by Giuseppe Lavagetto:
videoscaler: reimage tmh1001 as mw1259

https://gerrit.wikimedia.org/r/239078

Change 242125 had a related patch set uploaded (by Giuseppe Lavagetto):
videoscaler: reimage and rename tmh1002 as mw1260, upgrade to HAT

https://gerrit.wikimedia.org/r/242125

Change 242125 merged by Giuseppe Lavagetto:
videoscaler: reimage and rename tmh1002 as mw1260, upgrade to HAT

https://gerrit.wikimedia.org/r/242125

Joe closed this task as Resolved.Sep 29 2015, 4:26 PM